@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

section {
  position: relative;
  min-height: 100vh;
  background-image: url(https://images.unsplash.com/photo-1519389950473-47ba0277781c?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1650&q=80);
  display: flex;
  justify-content: center;
  align-items: center;
}
section .container {
  position: relative;
  width: 100%;
  height: 100vh;
  background: #ffffff;
  box-shadow: 0 15px 50px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}
section .container .user {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
}
section .container .user .imgBx {
  position: relative;
  width: 50%;
  height: 100%;
  background: #ff0;
  transition: 0.5s;
}
section .container .user .imgBx img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
section .container .user .formBx {
  position: relative;
  width: 50%;
  height: 100%;
  background: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 40px;
  transition: 0.5s;
}
.formBx h2 {
  color: #607d8b;
  font-weight: 600;
  font-size: 1.5em;
  text-transform: uppercase;
  margin-bottom: 20px;
  border-bottom: 4px solid #ff4584;
  display: inline-block;
  letter-spacing: 1px;
}
section .contentBx .formBx .inputBx {
  margin-bottom: 20px;
}

.formBx .inputBx span {
  font-size: 16px;
  margin-bottom: 5px;
  display: inline-block;
  color: #607d8b;
  font-weight: 300;
  font-size: 16px;
  letter-spacing: 1px;
}

.formBx .inputBx input {
  width: 100%;
  padding: 10px 20px;
  outline: none;
  font-weight: 400;
  border: 1px solid #607d8b;
  font-size: 16px;
  letter-spacing: 1px;
  color: #607d8b;
  background: transparent;
  border-radius: 30px;
}

.submit-btn {
  background: #ff4584;
  color: #ffffff;
  outline: none;
  border: none;
  font-weight: 500;
  cursor: pointer;
}
.submit-btn:hover {
  background: #f53677;
}
.formBx .inputBx input[type="submit"] {
  background: #ff4584;
  color: #ffffff;
  outline: none;
  border: none;
  font-weight: 500;
  cursor: pointer;
}

.formBx .inputBx input[type="submit"]:hover {
  background: #f53677;
}

.formBx .remember {
  margin-bottom: 10px;
  color: #607d8b;
  font-weight: 400;
  font-size: 14px;
}

section .container .user .formBx form input .signup {
  position: relative;
  margin-top: 20px;
  font-size: 12px;
  letter-spacing: 1px;
  color: #555555;
  text-transform: uppercase;
  font-weight: 300;
}
section .container .user .formBx form .signup a {
  font-weight: 600;
  text-decoration: none;
  color: #677eff;
}

.formBx h3 {
  color: #67d8b6;
  text-align: center;
  margin: 40px 0 10px;
  font-weight: 500;
}
.formBx .inputBx {
  margin-bottom: 20px;
}

.formBx .sci {
  display: flex;
  justify-content: center;
  align-items: center;
}

.formBx li {
  list-style: none;
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #607d8b;
  border-radius: 50%;
  margin: 0 7px;
  cursor: pointer;
}

.formBx li:hover {
  background: #ff4584;
}

.formBx li a {
  transform: scale(0.5);
  filter: invert(1);
  font-size: 50px;
  color: #000;
}

section .container .singupBx {
  pointer-events: none;
}
section .container.active .singupBx {
  pointer-events: initial;
}

section .container .singupBx .formBx {
  left: 100%;
}
section .container.active .singupBx .formBx {
  left: 0;
}
section .container .singupBx .imgBx {
  left: -100%;
}
section .container.active .singupBx .imgBx {
  left: 0;
}

section .container .singinBx .formBx {
  left: 0;
}
section .container.active .singinBx .formBx {
  left: 100%;
}
section .container .singinBx .imgBx {
  left: 0;
}
section .container.active .singinBx .imgBx {
  left: -100%;
}

@media (max-width: 991px) {
  section .container {
    background-image: url(https://images.unsplash.com/photo-1519389950473-47ba0277781c?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1650&q=80);
  }
  section .container .imgBx {
    display: none;
  }
  section .container .user .formBx {
    width: 100%;
    padding: 20px;
  }
  .user.singinBx {
    padding: 20px;
  }
  .inputBx input {
    font-size: 14px;
  }
  .fa {
    font-size: 45px;
  }
  .formBx h3 {
    color: #607d8b;
    text-align: center;
    margin: 30px 0 10px;
    font-weight: 500;
  }
  .center {
    text-align: center;
  }
  section .imgBx::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(225deg, #823e54, #35708c);
    z-index: 1;
    mix-blend-mode: screen;
  }
}

@media (max-width: 700px) {
  .user.singinBx {
    padding: 90px 20px;
  }
}
section .imgBx::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(225deg, #823e54, #35708c);
  z-index: 1;
  mix-blend-mode: screen;
}
a.retour {
  position: absolute;
  color: #000;
  font-size: 12px;
  text-decoration: none;
  z-index: 10;
  top: 0;
  left: none;
}

/* ==========
Custom Scrollbar
========== */

::-webkit-scrollbar {
  /* permet de modifier le style de la barre de défilement associée à un élément. */
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: var(--white);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
}
/* ==========
Variables
========== */
:root {
  /* A changer 'main color' */
  --main-color: #e02f6b;
  --white: #fff;
}

.checkbox {
  margin-bottom: 10px;
  color: #607d8b;
  font-weight: 400;
  font-size: 14px;
}
